## List API keys for a service account

### cURL

```
curl --request GET \
  --url 'https://flows.super.ai/api/service-accounts/{service_account_id}/api-keys?limit=100' \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <api-key>'
```

### Python

```
import requests

url = "https://flows.super.ai/api/service-accounts/{service_account_id}/api-keys?limit=100"

headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```
const options = {
  method: 'GET',
  headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://flows.super.ai/api/service-accounts/{service_account_id}/api-keys?limit=100', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Example

```
[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "modified_by": "<string>",
    "name": "API Key",
    "organization_id": "550e8400-e29b-41d4-a716-446655440000",
    "token_prefix": "saf_org_550e8400_abc123",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "API key for external integrations",
    "service_account_id": "550e8400-e29b-41d4-a716-446655440000",
    "user_id": "550e8400-e29b-41d4-a716-446655440000"
  }
]
```

#### Authorizations

| Header         | Type   | Required   | Description  |
|----------------|--------|------------|--------------|
| X-API-Key      | string | required   | API key authentication. Include your API key in the header as: `X-API-Key YOUR_API_KEY` |
| Authorization   | string | required   | JWT Bearer token authentication. Include your access token in the header as: `Bearer YOUR_ACCESS_TOKEN` |

#### Path Parameters

| Parameter                | Type      | Required | Description  |
|--------------------------|-----------|----------|--------------|
| service_account_id       | string<uuid> | required | UUID of the service account to list API keys for |

#### Query Parameters

| Parameter    | Type      | Default | Required | Description  |
|--------------|-----------|---------|----------|--------------|
| offset       | integer   | 0       | no       | Number of records to skip for pagination |
| limit        | integer   | 100     | no       | Maximum number of records to return |

#### Response

**200** - List of API keys retrieved successfully

| Field               | Type           | Required | Description  |
|---------------------|----------------|----------|--------------|
| created_at          | string<date-time> | required | Timestamp of creation |
| id                  | string<uuid>  | required | Unique identifier of the API key |
| modified_by         | string         | required | The user who last modified the API key |
| name                | string         | required | Human-readable name for the API key |
| organization_id     | string<uuid>  | required | UUID of the organization this API key belongs to |
| token_prefix         | string         | required | Prefix of the authentication token |
| updated_at          | string<date-time> | required | Timestamp of last update |
| description         | string \/ null  | optional | Description of the API key |
| service_account_id   | string<uuid>\/null | optional | UUID of the service account this API key belongs to |
| user_id              | string<uuid>\/null | optional | UUID of the user this API key belongs to |
